POST /v2/locations/{locationId}/syncProducts

This endpoint initiates the product sync request for a specified location. When called, Deliverect will trigger a product sync from the connected POS system for the given location.

Path parameters

  • locationId string Required

    The unique identifier of the location to sync products for.

Query parameters

  • forceUpdate string

    When set to true, forces a full product sync even if products have not changed since the last sync.

    Default value is true.

Responses

  • 200 application/json

    Product sync request initiated successfully.

  • 400 application/json

    Bad Request — the sync request could not be processed. This may occur if the location ID is invalid or the location does not have a POS system configured.

POST /v2/locations/{locationId}/syncProducts
curl \
 --request POST 'https://api.staging.deliverect.com/v2/locations/{locationId}/syncProducts' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "summary": "OK",
  "value": {}
}
Response examples (400)
{
  "summary": "Bad Request",
  "value": {}
}